.aolei_brand_story {
    padding-top: var(--component-gap) ;
    background: var(--bg-color);
}


.aolei_brand_story .brand-story-title {
    font-size: var(--font-40);
    font-weight: 400;
    color: var(--title-text-color);
    font-family: var(--title-font-family);
    line-height: normal;
    text-align: center;
}

.aolei_brand_story .brand-story-subtitle {
    font-size: var(--font-24);
    font-weight: 400;
    color: var(--title-second-color);
    font-family: var(--title-font-family);
    text-align: center;
    letter-spacing: -0.84px;
    line-height: normal;
    margin-top: 16px;
    margin-bottom: 50px;
}

.aolei_brand_story .story-data {
    width: 100%;
    display: inline-flex;
    gap: 50px;
    flex-direction: column;
}

.aolei_brand_story .story-title-box {
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 16px;
}

.aolei_brand_story .story-title-item {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 15px 21px;
    background: #EEE;
    cursor: pointer;
    gap: 16px;
    color: var(--text-color);
    font-family: var(--font-family);
    font-size: var(--font-24);
    font-weight: 700;
    line-height: normal;
    transition: all 0.3s;
}

.aolei_brand_story .story-title-item svg path {
    fill: var(--text-color);
}

.aolei_brand_story .story-title-item:hover,
.aolei_brand_story .story-title-item.active {
    background: var(--color-primary);
    color: #FFF;
}

.aolei_brand_story .story-title-item:hover svg path,
.aolei_brand_story .story-title-item.active svg path {
    fill: var(--bg-color);
}

.aolei_brand_story .story-content-box {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 24px;
}

.aolei_brand_story .story-content-item {
    width: 100%;
}

.aolei_brand_story .story-content-item img {
    width: 100%;
    aspect-ratio: 449/252;
    object-fit: cover;
    object-position: center center;
}

.aolei_brand_story .story-content-item-box {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 24px;
}

.aolei_brand_story .story-content-item-title {
    font-size: var(--font-24);
    font-weight: 700;
    color: #000;
    font-family: var(--font-family);
    line-height: 1.4;
    letter-spacing: -1px;
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    line-clamp: 5;
}

.aolei_brand_story .story-content-item-desc {
    font-size: var(--font-16);
    font-weight: 400;
    color: var(--title-second-color);
    font-family: var(--font-family);
    line-height: normal;
}

@media (max-width: 992px) {
    .aolei_brand_story .brand-story-subtitle {
        margin-top: 8px;
        margin-bottom: 30px;
    }

    .aolei_brand_story .story-data {
        gap: 30px;
    }

    .aolei_brand_story .story-title-box {
        flex-wrap: wrap;
        gap: 8px;
    }

    .aolei_brand_story .story-title-item {
        padding: 10px;
        gap: 8px;
    }

    .aolei_brand_story .story-content-box {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
    .aolei_brand_story .story-data {
        gap: 20px;
    }

    .aolei_brand_story .story-content-box {
        gap: 16px;
    }

    .aolei_brand_story .story-content-item-box {
        padding: 10px;
        gap: 8px;
    }
}

@media (max-width: 576px) {
    .aolei_brand_story .brand-story-subtitle {
        margin-bottom: 20px;
    }

    .aolei_brand_story .story-data {
        gap: 16px;
    }

    .aolei_brand_story .story-title-item {
        padding: 6px 10px;
    }

    .aolei_brand_story .story-title-item svg {
        width: 12px;
    }

    .aolei_brand_story .story-content-box {
        grid-template-columns: repeat(1, 1fr);
    }
}